package com.shzg.project.worn.mapper;

import java.util.List;
import com.shzg.project.worn.domain.WornDeclareBill;

/**
 * 申报单查看Mapper接口
 * 
 * @author shzg
 * @date 2026-04-14
 */
public interface WornDeclareBillMapper 
{
    /**
     * 查询申报单查看
     * 
     * @param id 申报单查看主键
     * @return 申报单查看
     */
    public WornDeclareBill selectWornDeclareBillById(Long id);

    /**
     * 查询申报单查看列表
     * 
     * @param wornDeclareBill 申报单查看
     * @return 申报单查看集合
     */
    public List<WornDeclareBill> selectWornDeclareBillList(WornDeclareBill wornDeclareBill);

    /**
     * 新增申报单查看
     * 
     * @param wornDeclareBill 申报单查看
     * @return 结果
     */
    public int insertWornDeclareBill(WornDeclareBill wornDeclareBill);

    /**
     * 修改申报单查看
     * 
     * @param wornDeclareBill 申报单查看
     * @return 结果
     */
    public int updateWornDeclareBill(WornDeclareBill wornDeclareBill);

    /**
     * 删除申报单查看
     * 
     * @param id 申报单查看主键
     * @return 结果
     */
    public int deleteWornDeclareBillById(Long id);

    /**
     * 批量删除申报单查看
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWornDeclareBillByIds(Long[] ids);
    /**
     * 根据申报单号查询申报单主表
     *
     * @param billNo 申报单号
     * @return 申报单主表
     */
    WornDeclareBill selectWornDeclareBillByBillNo(String billNo);

    public int cancelWornDeclareBill(WornDeclareBill wornDeclareBill);


}
